Bug 1392365 - [3.2.1] Installer failed at Configure AWS Cloud Provider Settings
Summary: [3.2.1] Installer failed at Configure AWS Cloud Provider Settings
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jason DeTiberus
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1389275 1389928
TreeView+ depends on / blocked
 
Reported: 2016-11-07 10:20 UTC by Gan Huang
Modified: 2016-11-07 10:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 10:37:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gan Huang 2016-11-07 10:20:11 UTC
Description of problem:
Looks similar with https://bugzilla.redhat.com/show_bug.cgi?id=1386654, but we haven't experienced the issue in 3.3/3.4 installation yet.

Version-Release number of selected component (if applicable):
openshift-ansible-3.2.28-1.git.0.5a85fc5.el7.noarch.rpm
ansible-2.2.0.0-0.100.el7.noarch

How reproducible:
Both failed with 2 tries. 

Steps to Reproduce:
1.Trigger a installation on OpenStack
#cat hosts
<--snip-->
ansible_ssh_user=root
enable_cloudprovider=true
openshift_cloudprovider_kind=openstack
openshift_cloudprovider_openstack_auth_url=xxxx
openshift_cloudprovider_openstack_username=xxx
openshift_cloudprovider_openstack_password=xxxx
openshift_cloudprovider_openstack_tenant_id=xxxx
openshift_cloudprovider_openstack_region=RegionOne
<--snip>
2.
3.

Actual results:
TASK [openshift_node : Create the Node config] *********************************
Monday 07 November 2016  08:51:54 +0000 (0:00:00.092)       0:16:50.863 ******* 
[DEPRECATION WARNING]: ansible.utils.unicode.to_unicode is deprecated.  Use 
ansible.module_utils._text.to_text instead.
This feature will be removed in 
version 2.4. Deprecation warnings can be disabled by setting 
deprecation_warnings=False in ansible.cfg.
[DEPRECATION WARNING]: ansible.utils.unicode.to_unicode is deprecated.  Use 
ansible.module_utils._text.to_text instead.
This feature will be removed in 
version 2.4. Deprecation warnings can be disabled by setting 
deprecation_warnings=False in ansible.cfg.
changed: [openshift-121.lab.sjc.redhat.com] => {"changed": true, "checksum": "f98019dab165b9e4b5c8337643a0713f1c21a18f", "dest": "/etc/origin/node/node-config.yaml", "gid": 0, "group": "root", "md5sum": "405d8d1f07b5a33679d7eda024fd1cb3", "mode": "0600", "owner": "root", "secontext": "system_u:object_r:etc_t:s0", "size": 1252, "src": "/root/.ansible/tmp/ansible-tmp-1478508714.11-157461771052610/source", "state": "file", "uid": 0}
changed: [openshift-134.lab.sjc.redhat.com] => {"changed": true, "checksum": "b38195bd411d6915a461cb898707efb1684bb8d4", "dest": "/etc/origin/node/node-config.yaml", "gid": 0, "group": "root", "md5sum": "bf5b2e7f38914bf2b79d084717866445", "mode": "0600", "owner": "root", "secontext": "system_u:object_r:etc_t:s0", "size": 1252, "src": "/root/.ansible/tmp/ansible-tmp-1478508714.14-11355008408948/source", "state": "file", "uid": 0}

TASK [openshift_node : Configure AWS Cloud Provider Settings] ******************
Monday 07 November 2016  08:52:03 +0000 (0:00:09.299)       0:17:00.162 ******* 
fatal: [openshift-121.lab.sjc.redhat.com]: FAILED! => {"failed": true, "msg": "'dict object' has no attribute 'aws'"}
fatal: [openshift-134.lab.sjc.redhat.com]: FAILED! => {"failed": true, "msg": "'dict object' has no attribute 'aws'"}

RUNNING HANDLER [openshift_node : restart node] ********************************
Monday 07 November 2016  08:52:03 +0000 (0:00:00.077)       0:17:00.240 ******* 
	to retry, use: --limit @/home/slave5/workspace/Launch-Environment-Flexy/private-openshift-ansible/playbooks/byo/config.retry

PLAY RECAP *********************************************************************
localhost                  : ok=11   changed=6    unreachable=0    failed=0   
openshift-121.lab.sjc.redhat.com : ok=301  changed=76   unreachable=0    failed=1   
openshift-134.lab.sjc.redhat.com : ok=127  changed=37   unreachable=0    failed=1   

Expected results:


Additional info:

Comment 1 Gan Huang 2016-11-07 10:37:11 UTC
Sorry, used an old openshift-ansible package, the latest 3.2 package have no such issue.


Note You need to log in before you can comment on or make changes to this bug.